%global githash 0a92994
%global gitdate 20210319

Name:           fp16
Version:        0
Release:        %{gitdate}.git%{githash}%{?dist}
Summary:        Half-precision floating point conversion
License:        BSD
URL:            https://github.com/Maratyszcza/FP16
BuildArch:      noarch

Source0:        %{name}.tar.xz

BuildRequires:  cmake gcc-c++ python3-devel psimd-devel

%global __cmake_in_source_build 1

%description
Header-only library for conversion to/from
half-precision floating point formats.

%package        devel
Summary:        Development files

%description    devel
This package contains the development files for %{name}.

%package python3
Summary: Python files for %{name}

%description python3
This package contains python files for %{name}.


%prep
%setup -q -n %{name}


%build
# external psimd
sed -i '/TARGET psimd/,/ENDIF/d' CMakeLists.txt

mkdir build
pushd build
%cmake .. -Wno-dev \
       -DCMAKE_SKIP_RPATH=ON \
       -DCMAKE_VERBOSE_MAKEFILE=OFF \
       -DCMAKE_BUILD_TYPE=RelWithDebInfo \
       -DPSIMD_SOURCE_DIR=%{_includedir} \
       -DFP16_BUILD_TESTS=OFF \
       -DFP16_BUILD_BENCHMARKS=OFF
make %{?_smp_mflags}
popd


%install
rm -rf %{buildroot}

pushd build
make install DESTDIR=%{buildroot}
popd

mkdir -p %{buildroot}/%{python3_sitelib}/%{name}
for f in `find include/ -type f -name '*.py'`;
do
  cp $f %{buildroot}/%{python3_sitelib}/%{name}/
done

find %{buildroot}%{_includedir} -name "*.py" -type f -prune -exec rm -rf '{}' '+'



%files devel
%license LICENSE
%doc README.md
%{_includedir}/*

%files python3
%license LICENSE
%doc README.md
%{python3_sitelib}/*


%changelog
* Fri Sep 25 2020 Cristian Balint <cristian.balint@gmail.com>
- initial build
